<template>
  <q-page padding>
    <q-card style="box-shadow: 0 0 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
      <q-card-section horizontal>
        <q-card-section>
          <q-btn label="Kembali" icon="arrow_back" color="orange" />
        </q-card-section>
        <q-card-section class="bg-green full-width text-white ">
          <h6 style="margin: 0">Tambah Iklan</h6>
        </q-card-section>
      </q-card-section>
      <q-separator />
      <q-card-section>
        <form-iklan @tambah="doSubmit" />
      </q-card-section>
    </q-card>
  </q-page>
</template>

<script>
import FormIklan from "components/iklan/FormIklan";
export default {
  name: 'TambahIklan',
  components: {
    FormIklan
  },
  methods: {
    doSubmit(data) {
      console.log(data)
      if (data.masaberlaku) {
        this.$q.loading.show()
        let datax = new FormData()
        datax.append("iklan_name", data.judul)
        datax.append("desc", data.description)
        datax.append("target_url", data.target_url)
        datax.append("status", data.status)
        datax.append("start", data.masaberlaku.from)
        datax.append("end", data.masaberlaku.to)
        datax.append("image", data.gambar)
        this.$axios.post(`api/iklan/create`, datax)
          .then(sukses => {
            console.log(sukses)
            this.$q.loading.hide()
            this.$router.push("/iklan")
            this.notifSuccess()
          })
          .catch(gagal => {
            this.$q.loading.hide()
            console.log(gagal.response.data.errors)
            const pesanError = gagal.response.data.errors
            for (const [key, value] of Object.entries(pesanError)) {
              console.log(`${key}: ${value}`)
              this.$q.notify({
                message: value,
                position: 'top',
                color: 'red'
              })
            }
          })
      } else {
        this.$q.notify({
          message: "Mohon Lengkapi Form",
          color: "yellow"
        })
      }
    },
    notifSuccess() {
      this.$q.notify({
        message: "Berhasil Menambah Banner"
      })
    }
  }
}
</script>
